<?php
/*
Description: Este plugin intenta eliminar varias de las caracteristicas del lenguaje HOYGAN, tambien censura las malas palabras en los comentarios.
Plugin Name: Mata HOYGAN
Plugin URI: http://wordpress.org/extend/plugins/mata-hoygan/
Author: Miguel Mariano
Author URI: http://www.ciberwolf.com
Version: 3.0
*/

define('MH_BADWORDS','sexo,porno,pornografia,pornografica,xxx,desnudar,desnudo,desnuda,culear,culea,culeo,puta,puto,marica,gay,teta');

register_activation_hook(__file__,'mh_admin_activation');
register_deactivation_hook(__file__,'mh_admin_deactivation');

function mh_admin_activation()
{
 add_option('mh_HOYGAN', '1'); 	
 add_option('mh_censura', '1'); 	
 add_option('mh_palabras_censuradas', MH_BADWORDS );
}

function mh_admin_deactivation()
{
 delete_option('mh_HOYGAN');
 delete_option('mh_censura');
 delete_option('mh_palabras_censuradas');
}

function mh_admin_update_options()
{
 update_option( 'mh_HOYGAN', $_POST['HOYGAN'] );
 update_option ( 'mh_censura', $_POST['Censura'] );
 update_option ( 'mh_palabras_censuradas', trim( $_POST['palabras_censuradas'], ' ,.' ) );		
 ?>
  <div id="message" class="updated fade">
   <p>Cambios Grabados</p>
  </div>
 <?php
}

function mh_admin_print_title()
{
 ?>
 <style type="text/css">
  .mh-table{ margin: 14px; }
  .mh-table tr{ height: 28px; }
  .inside p{ margin: 14px; }
  .inside .frame { margin: 10px; }
  .inside .list li { font-size: 11px; }
 </style>
 <div class = "wrap">
  <h2>Mata-HOYGAN Opciones</h2>
 <?php 
}

function mh_admin_print_header()
{
 ?>
 <div>
  <p>Si crees que este Plugin es útil por favor considera escribir una opinión sobre el en tu Blog o darle una buena calificación en <a href="http://wordpress.org/extend/plugins/mata-hoygan/" target="_blank">WordPress.org</a>.
  </p>
 </div>
 <?php
}

function mh_admin_explicacion()
{
 ?>
 <table>
  <tr>
   <td>
    <p>No es necesarios agregar palabras con alguna de las siguientes terminaciones:</p>
    <p>s - n - na - es - as - on - an - te - mos - nes - nas - ndo - emos</p>
    <p>Por ejemplo con solo agregar la palabra Cerdo serán censuradas:</p>
    <p>Cerdo, Cerdos, Cerdon, Cerdones, Cerdonas</p>
   </td>
  </tr>
 </table>
 <?php
}

function mh_admin_print_admin_page()
{
 $badwords = get_option('mh_palabras_censuradas');
 if ( empty($badwords) )
 {
  $badwords = PK_BADWORDS;
  update_option ( 'mh_palabras_censuradas', trim( $badwords,' ,.' ) );	
 }
 ?>
 <div class="postbox-container" style="width: 65%;">
  <div class="metabox-holder">
   <div class="meta-box-sortables ui-sortable">
    <div id="mh-opciones" class="postbox">
     <div class="handlediv" title="Click to toggle"><br/></div>
     <h3 class="hndle">
      <span>Opciones generales:</span>
     </h3>
     <div class="inside">
      <div class="frame list">
       <form id="mh-options" method="post" action="">
        <table class="mh-table">
         <tr>
          <td width="350px">
           <label>Activar corrector del Lenguaje HOYGAN:</label>
          </td>
          <td>
	   <input type="checkbox" <?php if( 1 == get_option('mh_HOYGAN') ){ echo 'checked'; }; ?> value="1" name="HOYGAN"/>
          </td>
	 </tr>
	 <tr>
	  <td width="350px">
           <label>Activar censura de palabras:</label>
          </td>
          <td>
	   <input type="checkbox" <?php if( 1 == get_option('mh_censura') ){ echo 'checked'; }; ?> value="1" name="Censura"/>
          </td>
	 </tr>
	 <tr>
          <td valign="top" style="padding-top:10px;">
           <label>Censurar las siguientes Palabras:</label>
          </td>
          <td>
	   <textarea name = "palabras_censuradas" cols="55" rows="3"><?php echo $badwords; ?></textarea>
          </td>
	 </tr>
	 <tr>
   	  <td colspan=2>
           <br />
           <span class="submit" style="margin-top:14px;">
            <input class="button-primary" type = "submit" name="submit" value="Grabar Cambios" />
           </span>
	  </td>
	 </tr>
	</table>
       </form>
      </div>
     </div>
    </div>
   </div>
  </div>
 </div>
 <div class="postbox-container" style="width: 30%;">
  <div class="metabox-holder">
   <div class="meta-box-sortables ui-sortable">
    <div id="mh_explicacion" class="postbox">
     <div class="handlediv" title="Click to toggle"></div>
      <h3 class="hndle">
       <span>Explicación sobre palabras a Censurar:</span></h3>
       <div class="inside">
        <div class="frame list">
         <?php echo mh_admin_explicacion(); ?>
        </div>
       </div>
      </div>
     </div>
    </div>
   </div>
  </div>
 </div>
 <?php 
}

function mh_create_admin_menu()
{
 mh_admin_print_title();
 mh_admin_print_header();
 if (isset($_POST['submit']))
  mh_admin_update_options();
 mh_admin_print_admin_page();
}

function mh_admin_menu_hook()
{
 if (function_exists('add_options_page'))
 {
  add_options_page('Mata-HOYGAN','Mata-HOYGAN','manage_options','mata_HOYGAN.php','mh_create_admin_menu');
 }
}
add_action('admin_menu','mh_admin_menu_hook');

function stringrpos($haystack,$needle,$offset=NULL)
{
 return strlen($haystack) - strpos( strrev($haystack) , strrev($needle) , $offset) - strlen($needle);
}

        function tohtml($text) {
            $text = str_replace("<", "&lt;", $text);
            $text = str_replace(">", "&gt;", $text);
            $text = str_replace("\r\n", "</br>", $text);
            return $text;
        }

        function dessimbolizar($text) {
            $text = str_replace("@", "a", $text);
            $text = str_replace("ª", "a", $text);
            $text = str_replace("º", "o", $text);
            $text = str_replace(" = "," igual ",$text);
            $text = preg_replace("/(\w*?)!(\w)/","\\1i\\2",$text);
            $text = preg_replace("/(\w+?)¡/","\\1i",$text);

            return $text;
        }

        function deleet($text) {
            if (!preg_match("/\b\d+\b/",$text)) {
                $text = str_replace("0", "o", $text);
                $text = str_replace("1", "i", $text);
                $text = str_replace("3", "e", $text);
                $text = str_replace("4", "a", $text);
                $text = str_replace("5", "s", $text);
                $text = str_replace("7", "t", $text);
            }
            return $text;
        }



        function desalternar($word) {

// mejor pasamos todo a minusculas
//             if (strlen($word) > 1 and !ctype_lower($word) and !ctype_upper($word) and !(ctype_upper($word[0]) and ctype_lower(substr($word,1)))) {
//                 return strtolower($word);
//             }


            if (strlen($word) > 1 and !(ctype_upper($word[0]) and ctype_lower(substr($word,1)))) {
                return strtolower($word);
            }
            else {
                return $word;
            }

        }


        function desmultiplicar($word) {
            $exceptions = array('http','www','://', 'ss', 'ppio', 'ff', 'bb', 'kiss');

            $lword = strtolower($word);

            if (preg_match("/^bs[s]+$/",$lword)) {
                return 'besos';
            }

            if (preg_match("/^mm[m]+[h]*$/",$lword)) {
                return 'mmmh';
            }

            if (preg_match("/^aa[a]+[h]*$/",$lword)) {
                return 'aaah';
            }

            if (preg_match("/^ba[a]+[h]*$/",$lword)) {
                return 'baaah';
            }

            if (preg_match("/^bu[u]+[h]*$/",$lword)) {
                return 'buuu';
            }



/*            if (!preg_match("/(^[\w])(\\1)*$/",$word)) {*/
           if (!in_array($lword, $exceptions) and substr($lword,0,3) != '...') {
                if (preg_match("/(^|[^l])[l][l]([^l])+/",$lword)) {
                    #en awardspace no anda porque es php4
//                     $pos = strrpos($lword,'ll');
                    $pos = stringrpos($lword,'ll');
                    return desmultiplicar(substr($lword,0,$pos)).'ll'.desmultiplicar(substr($lword,$pos+2));
                }
                if (preg_match("/([^r])+[r][r]([^r])+/",$lword)) {
//                     $pos = strrpos($lword,'rr');

                    $pos = stringrpos($lword,'rr');
                    return desmultiplicar(substr($lword,0,$pos)).'rr'.desmultiplicar(substr($lword,$pos+2));

                }

                /*Los dos casos siguientes se pueden sacar si no se esperan muchas */
                /*palabras en inglï¿œs. Sirve para pasar google, good, teen, etc     */
               if (preg_match("/([^o])+[o][o]([^o])+/",$lword)) {
//                     $pos = strrpos($lword,'oo');
                    if ( strtolower($lword)!="google" || strtolower($lword)!="facebook" || strtr(strtolower($lword), "ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÜÚ", "àáâãäåæçèéêëìíîïðñòóôõöøùüú")!="zoologico")
                    {
                     $pos = stringrpos($lword,'oo');
                     return desmultiplicar(substr($lword,0,$pos)).'oo'.desmultiplicar(substr($lword,$pos+2));
                    }
                }
                if (preg_match("/([^e])+[e][e]([^e])+/",$lword)) {
//                     $pos = strrpos($lword,'ee');
                    $pos = stringrpos($lword,'ee');
                    return desmultiplicar(substr($lword,0,$pos)).'ee'.desmultiplicar(substr($lword,$pos+2));

                }

                return preg_replace("/(.)\\1+/","\\1",$word);

            }
            else {
                return $word;
            }
        }

        function desms($word) {
            $translations = array(
                    '+' => 'm&aacute;s',
                    '+a' => 'masa',
                    'ad+' => 'adem&aacute;s',
                    'ak' => 'ac&aacute;',
                    'asc' => 'al salir de clase',
                    'asdc' => 'al salir de clase',
                    'bb' => 'beb&eacute;',
                    'bld' => 'boludo',
                    'blds' => 'boludos',
                    'bn' => 'bien',
                    'bno' => 'bueno',
                    'bss' => 'besos',
                    'c' => 'se',
                    'cdo' => 'cuando',
                    'cel' => 'celular',
                    'clp' => 'chupame la pija',
                    'cmo' => 'como',
                    'd' => 'de',
                    'dle' => 'dale',
                    'dnd' => 'donde',
                    'dsd' => 'desde',
                    'dsp' => 'despu&eacute;s',
                    'flia' => 'familia',
                    'fto' => 'foto',
                    'hdp' => 'hijo de puta',
                    'hexo' => 'hecho',
                    'hlqp' => 'hacemos lo que podemos',
                    'hna' => 'hermana',
                    'hno' => 'hermano',
                    'hsta' => 'hasta',
                    'k' => 'que',
                    'kpo' => 'capo',
                    'ksa' => 'casa',
                    'lpm' => 'la puta madre',
                    'lpmqtp' => 'la puta madre que te pari&oacute;',
                    'lpqtp' => 'la puta que te pari&oacute;',
                    'm' => 'me',
                    'mjor' => 'mejor',
                    'mjr' => 'mejor',
                    'msj' => 'mensaje',
                    'n' => 'en',
                    'nd' => 'nada',
                    'nxe' => 'noche',
                    'ppio' => 'principio',
                    'pq' => 'porque',
                    'ps' => 'pues',
                    'pso' => 'paso',
                    'pt' => 'pete',
                    'q' => 'que',
                    'qn' => 'quien',
                    'salu2' => 'saludos',
                    'ss' => 'sos',
                    'sta' => 'est&aacute;',
                    'stan' => 'est&aacute;n',
                    'stamos' => 'estamos',
                    'stes' => 'est&eacute;s',
                    't' => 'te',
                    'tas' => 'est&aacute;s',
                    'tb' => 'tambi&eacute;n',
                    'tbj' => 'trabajo',
                    'tbn' => 'tambi&eacute;n',
                    'tdo' => 'todo',
                    'tdos' => 'todos',
                    'tds' => 'todos',
                    'tgo' => 'tengo',
                    'tkm' => 'te quiero mucho',
                    'tmb' => 'tambi&eacute;n',
                    'tmbn' => 'tambi&eacute;n',
                    'tmp' => 'tampoco',
                    'tngo' => 'tengo',
                    'tp' => 'tampoco',
                    'toy' => 'estoy',
                    'tk' => 'te quiero',
                    'tq' => 'te quiero',
                    'vac' => 'vacaciones',
                    'vr' => 'ver',
                    'x' => 'por',
                    'xa' => 'para',
                    'xat' => 'chat',
                    'xk' => 'porque',
                    'xke' => 'porque',
                    'xo' => 'pero',
                    'xq' => 'porque',
                    'xqe' => 'porque'

);


            if (array_key_exists  ( strtolower($word)  , $translations  )) {
                return $translations[strtolower($word)];
            }
            else {
                $lword = strtolower($word);
                if (preg_match("/qe/",$lword) or preg_match("/ke/",$lword) or preg_match("/qi/",$lword)) {
                    $lword = str_replace('qe', 'que', $lword);
                    $lword = str_replace('ke', 'que', $lword);
                    $lword = str_replace('qi', 'qui', $lword);
                    $word = $lword;
                }

                if (strlen($lword) > 2 and $lword{strlen($lword)-1} == 'q')  {
                    $lword = substr($lword,0,-1)." que";
                    $word = $lword;
                }

                if (strlen($lword) > 3 and substr($lword,-2) == 'ms')  {
                    $lword = substr($lword,0,-1)."os";
                    $word = $lword;
                }
                if (strlen($lword) > 1 and substr($lword,0,2) == 'cn')  {
                    $lword = "con".substr($lword,2);
                    $word = $lword;
                }
                if (strlen($lword) > 2 and substr($lword,0,3) == 'bso')  {
                    $lword = "be".substr($lword,1);
                    $word = $lword;
                }
                if (strlen($lword) > 2 and substr($lword,0,3) == 'bld')  {
                    $lword = "bolu".substr($lword,2);
                    $word = $lword;
                }
                if (strlen($lword) > 3 and substr($lword,0,4) == 'efea')  {
                    $lword = "agrega".substr($lword,4)." a favoritos";
                    $word = $lword;
                }
                if (strlen($lword) > 4 and substr($lword,0,5) == 'efeen')  {
                    $lword = "agreguen".substr($lword,5)." a favoritos";
                    $word = $lword;
                }
                if (strlen($lword) > 3 and substr($lword,0,3) == 'mux')  {
                    $lword = "much".substr($lword,3);
                    $word = $lword;
                }

                return $word;
            }

        }

        function desestupidizar($word) {
            $translations = array(
                    '10pre' => 'siempre',
                    'arre' => '&lt;alguna sensaci&oacute;n&gt;',
                    'ahrre' => '&lt;alguna sensaci&oacute;n&gt;',
                    'ahre' => '&lt;alguna sensaci&oacute;n&gt;',
                    'ai' => 'ah&iacute;/hay/ay',
                    'aios' => 'adi&oacute;s',
                    'aka' => 'ac&aacute;',
                    'aki' => 'aqu&iacute;',
                    'akí' => 'aqu&iacute;',
                    'anio' => 'a&ntilde;o',
                    'bai' => 'bye',
                    'ben' => 'bien',
                    'bem' => 'bien',
                    'bue' => 'bueno',
                    'bzo' => 'beso',
                    'doi' => 'doy',
                    'efe' => 'favorito',
                    'efeo' => 'agrego a mis favoritos',
                    'efen' => 'agreguen a favoritos',
                    'efes' => 'favoritos',
                    'efs' => 'favoritos',
                    'estoi' => 'estoy',
                    'ff' => 'favoritos',
                    'fs' => 'favoritos',
                    'grax'=> 'gracias',
                    'groxo'=> 'grosso',
                    'hai' => 'hay',
                    'hoi'=> 'hoy',
                    'i' => 'y',
                    'ia' => 'ya',
                    'io' => 'yo',
                    'ise' => 'hice',
                    'iwal' => 'igual',
                    'kmo' => 'como',
                    'kn' => 'con',
                    'oi' => 'hoy',
                    'moy' => 'muy',
                    'muchio' => 'mucho',
                    'mu' => 'muy',
                    'mui' => 'muy',
                    'nah' => 'nada',
                    'nuche' => 'no se',
                    'nus' => 'nos',
                    'nuse' => 'no se',
                    'ola' => 'hola',
                    'olas' => 'hola',
                    'olaz' => 'hola',
                    'pic' => 'foto',
                    'pick' => 'foto',
                    'pik' => 'foto',
                    'plis' => 'por favor',
                    'pliz' => 'por favor',
                    'plz' => 'por favor',
                    'sho' => 'yo',
                    'sip' => 'si',
                    'soi' => 'soy',
                    'stoi' => 'estoy',
                    'sullo' => 'suyo',
                    'ta' => 'est&aacute;',
                    'tawena' => 'est&aacute; buena',
                    'tap' => 'top',
                    'taz' => 'est&aacute;s',
                    'teno' => 'tengo',
                    'toi' => 'estoy',
                    'toos' => 'todos',
                    'tullo' => 'tuyo',
                    'lav' => 'love',
                    'lov' => 'love',
                    'lendo' => 'lindo',
                    'llendo' => 'yendo',
                    'mua' => 'besos',
                    'muak' => 'besos',
                    'muac' => 'besos',
                    'muack' => 'besos',
                    'muto' => 'mucho',
                    'nah' => 'nada',
                    'nu' => 'no',
                    'nueo' => 'nuevo',
                    'nunk'=> 'nunca',
                    'nuc' => 'no se',
                    'voi'=> 'voy',
                    'we' => 'bueno',
                    'wem' => 'bueno',
                    'wno' => 'bueno',
                    'xau' => 'chau',
                    'xfa' => 'por favor');


            if (array_key_exists  ( strtolower($word)  , $translations  )) {
                return $translations[strtolower($word)];
            }
            else {
                $lword = strtolower($word);
                if (preg_match("/emd/",$lword)) {
                    $lword = str_replace('emd', 'ind', $lword);
                    $word = $lword;
                }
                else if (preg_match("/md/",$lword)) {
                    $lword = str_replace('md', 'nd', $lword);
                    $word = $lword;
                }
                if (preg_match("/^[i]+$/",$lword)) {
                   $word = 'y';
                }
                if (strlen($lword) > 2 and substr($lword,0,3) == 'wen')  {
                    $lword = "buen".substr($lword,3);
                    $word = $lword;
                }
                if (strlen($lword) > 2 and substr($lword,0,3) == 'oka')  {
                    $lword = "ok";
                    $word = $lword;
                }


                //posible risa
                if (strlen($lword) > 6) {
                    if (preg_match("/^((j|a|k)+)$/", $lword)) {
                        return "jajaja";
                    }
                    else if (strlen($lword) > 8 and preg_match("/^((j|a|k|h|l|s|d|ñ)+)j((j|a|k|h|l|s|d|ñ)+)j((j|a|k|h|l|s|d|ñ)*)$/", $lword)) {
                         return "jajaja";
                    }

                }

                return $word;
            }
        }

        function desk($word) {
            $exceptions = array('kiosco', 'kilo', 'kiló', 'fuck', 'punk', 'rock', 'look', 'kiss', 'kimono', 'karate', 'kilometro', 'facebook');
            $vocales = array('a', 'e', 'i', 'o','u');
            $lword = strtolower($word);

            if ($lword == 'ok') {
                return $word;
            }

            foreach ($exceptions as $a) {
                if (preg_match("/".$a."/", $lword)){
                    return $word;
                }
            }
            if (preg_match("/ki/",$lword)) {
                $lword = str_replace('ki', 'qui', $lword);
                $word = $lword;


            }
            if (preg_match("/ke/",$lword)) {
                $lword = str_replace('ke', 'que', $lword);
                $word = $lword;
            }

            if (strlen($lword) > 2 and $lword{0} == 'k' and !in_array($lword{1}, $vocales))  {
                $lword = "ka".substr($lword,1);
                $word = $lword;
            }


            $word = str_replace('k','c', $word);
            $word = str_replace('K','C', $word);
            return $word;
        }

        function desporteniar($word) {
            $lword = strtolower($word);
            if (strlen($lword) > 5 and substr($lword,-4) == 'stes')  {
                $lword = substr($lword,0,-1);
                $word = $lword;
            }
            return $word;
        }


        function deszezear($word) {
            $exceptions = array('arroz', 'feliz', 'zorr', 'azul', 'azucar', 'azúcar', 'conoz');
            $lword = strtolower($word);
            foreach ($exceptions as $a) {
                if (preg_match("/".$a."/", $lword)){
                    return $word;
                }
            }
            $word = str_replace('z','s', $word);
            $word = str_replace('Z','S', $word);
            return $word;
        }

function quitar_acentos($s)
{
$s = str_replace('á', 'a', $s); 
$s = str_replace('Á', 'A', $s); 
$s = str_replace('é', 'e', $s); 
$s = str_replace('É', 'E', $s); 
$s = str_replace('í', 'i', $s); 
$s = str_replace('Í', 'I', $s); 
$s = str_replace('ó', 'o', $s); 
$s = str_replace('Ó', 'O', $s); 
$s = str_replace('Ú', 'U', $s); 
$s= str_replace('ú', 'u', $s); 
 return $s;
}

function quitar_puntos($s)
{ 
 if (!ereg( "([a-z]|[A-Z]|[0-9])", substr($s,strlen($s)-1)))
  $s = substr($s,0,strlen($s)-1);
 return $s;
} 

function cadena_sin_malas_palabras($word)
{
 $malas_palabras = get_option('mh_palabras_censuradas');
 $asteriscos=0;
 $temp=quitar_acentos($word);
 $temp=quitar_puntos($temp);
 $palabras=split(",",$malas_palabras);

 foreach ($palabras as $palabra)
 {
  if (strcasecmp($palabra, $temp) == 0)
  {
   $asteriscos=1;
   break;
  }
  else
  {
   if (stristr($temp, $palabra) == TRUE)
   {
    if ( substr($temp,-1)== 's' && strlen($temp) == strlen($palabra)+1 )
     $asteriscos=1;
    else if ( substr($temp,-1)==' n' && strlen($temp) == strlen($palabra)+1 )
     $asteriscos=1;
    else if ( substr($temp,-2) == 'na' && strlen($temp) == strlen($palabra)+2 )
     $asteriscos=1;
    else if ( substr($temp,-2) == 'es' && strlen($temp) == strlen($palabra)+2 )
     $asteriscos=1;
    else if ( substr($temp,-2) == 'as' && strlen($temp) == strlen($palabra)+2 )
     $asteriscos=1;
    else if ( substr($temp,-2) == 'on' && strlen($temp) == strlen($palabra)+2 )
     $asteriscos=1;
    else if ( substr($temp,-2) == 'an' && strlen($temp) == strlen($palabra)+2 )
     $asteriscos=1;
    else if ( substr($temp,-2) == 'te' && strlen($temp) == strlen($palabra)+2 )
     $asteriscos=1;
    else if ( substr($temp,-3) == 'mos' && strlen($temp) == strlen($palabra)+3 )
     $asteriscos=1;
    else if ( substr($temp,-3) == 'nes' && strlen($temp) == strlen($palabra)+3 )
     $asteriscos=1;
    else if ( substr($temp,-3) == 'nas' && strlen($temp) == strlen($palabra)+3 )
     $asteriscos=1;
    else if ( substr($temp,-3) == 'ndo' && strlen($temp) == strlen($palabra)+3 )
     $asteriscos=1;
    else if ( substr($temp,-4) == 'emos' && strlen($temp) == strlen($palabra)+4 )
     $asteriscos=1;
    if($asteriscos==1)
     break;
   }
  }
 } 
 if($asteriscos==1)
 {
  $tam=strlen($temp);
  for($j=0;$j<$tam;$j++)
  {
   $word_asteriscos=$word_asteriscos . '*';
  }
  return $word_asteriscos;
 }
 else
 {
  return $word;
 }
}

function mata_HOYGAN($words)
{
 $devolver='';
 $palabras=split(" ",$words);
 foreach ($palabras as $palabra)
 {
  if (get_option('mh_HOYGAN') == 1 )
  {
   $result = deleet($palabra);
   $result = desalternar($result);
   $result = desmultiplicar($result);
   $result = desms($result);
   $result = desestupidizar($result);
   $result = desk($result);
   $result = desporteniar($result);
  }
  else
   $result = $palabra;

  if (get_option('mh_censura') == 1 )
   $result = cadena_sin_malas_palabras($result);
  $devolver=$devolver . $result . " ";
 }
 return $devolver;
}
add_filter('pre_comment_content', 'mata_HOYGAN');

?>
